#ifndef	_AXCRYPT
#define	_AXCRYPT
/*
    @(#) $Id: AxCrypt.h,v 1.17 2002/10/30 19:13:23 svante Exp $

	AxCrypt - Compressing and Encrypting Wrapper and Application Launcher for Secure Local,
	Server or Web Storage of Document Files.

	Copyright (C) 2001 Svante Seleborg/Axon Data, All rights reserved.

	This program is free software; you can redistribute it and/or modify it under the terms
	of the GNU General Public License as published by the Free Software Foundation;
	either version 2 of the License, or (at your option) any later version.

	This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
	without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
	See the GNU General Public License for more details.

	You should have received a copy of the GNU General Public License along with this program;
	if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330,
	Boston, MA 02111-1307 USA

	The author may be reached at mailto:axcrypt@axondata.se and http://axcrypt.sourceforge.net
----
	AxCrypt.h						WinMain() and friends.

	E-mail							YYYY-MM-DD				Reason
	axcrypt@axondata.se			    2001					Initial

*/
#include	"CCryptoKey.h"
#include	"CCryptoHeap.h"
#include	"CCryptoRand.h"
#include	"CEntropy.h"

extern const unsigned char szPassphraseChars[];
//
extern const GUID guidAxCryptFileId;
//
extern CRITICAL_SECTION gLaunchAppCritical;
//
extern CPtrTo<CKeyList> pgKeyList;
//
extern HINSTANCE ghInstance;
extern HWND ghWnd;
extern HWND ghProgressWnd;
//
extern CPtrTo<CEntropy> pgEntropyPool;
extern CPtrTo<CCryptoRand> pgPRNG;
//
extern DWORD MessageWaitForObject(HANDLE hObject, DWORD dwTimeout = INFINITE);
//
//  Command request ID's
//
enum eRequestType {
	EN_OPEN = 1,    // Decrypt, decompress, launch, recompress and encrypt
    EN_ENCRYPTZC,   // Compress, encrypt as copy
    EN_ENCRYPTZCF,  // Compress, encrypt as copy, but fast (possibly unsafe).
	EN_ENCRYPTZ,    // Compress, encrypt an wipe original
	EN_ENCRYPT,
	EN_WIPE,        // Wipe a file
    EN_WIPES,       // Wipe a file silently
	EN_DECRYPT,     // Decrypt, decompress and wipe original
    EN_DECRYPTC,    // Decrypt, decompress and retain original
    EN_DECRYPTCF,   // Decrypt, decompress and retain original, but fast (possibly insecure)
	EN_EXIT,        // Terminate master
	EN_INSTALL,     // Install in registry etc
	EN_UNINSTALL,   // Uninstall from registry etc
	EN_PSPTEST,     // Test the need for the psp library on NT
    EN_CLEARKEYS,   // Clear all keys in memory (or only a batch)
    EN_ADDKEYENC,   // Add an enc key to the cache (or for a batch)
    EN_ADDKEYDEC,   // Add a dec key to the cache (or for a batch)
    EN_ASKKEYENC,   // Prompt for an enc key to the cache (or for a batch)
    EN_ASKKEYDEC,   // Prompt for a dec key to the cache (or for a batch)
    EN_RENAME,      // Rename a file to an anonymous name
    EN_TESTHAVEKEY, // Test if we have the key for the file(s) in the cache.
	EN_SHOWTAG,		// Display the IdTag, if any, for files following.
	EN_GETPROCID,	// Get the primary process id
};
//
//  Parameter information about the command to be executed.
//
struct SCmdParam {
    enum eRequestType eRequest; // What we want done...
    CPtrTo<TCHAR> szParam1  ;   // A parameter
    CPtrTo<TCHAR> szParam2;     // A second one..
	CPtrTo<TCHAR> szIdTag;		// An id-tag, if any given.
    CPtrTo<TCHAR> szCurDir;     // Current directory of the caller.
    DWORD dwBatch;              // The batch-id for this command.
    BOOL fIgnoreEncrypted;      // TRUE if we should not encrypt already encrypted.
    HWND hProgressWnd;          // The handle to a progress-bar window, if provided.
    HWND hForegroundWnd;        // Handle to the most recent foreground window.
	HANDLE hStdOut;				// Handle to caller (secondary) stdout, if any.
    CProgressDialog *pDlgProgress;
};
//
//	Some useful stuff
//
#define	Min(a, b) ((a) < (b) ? (a) : (b))
#define Max(a, b) ((a) > (b) ? (a) : (b))
#endif _AXCRYPT
