#ifndef	_CCHILDPROC
#define	_CCHILDPROC
/*
    @(#) $Id: CChildProc.h,v 1.3 2002/08/11 16:47:09 svante Exp $

	AxCrypt - Compressing and Encrypting Wrapper and Application Launcher for Secure Local,
	Server or Web Storage of Document Files.

	Copyright (C) 2001 Svante Seleborg/Axon Data, All rights reserved.

	This program is free software; you can redistribute it and/or modify it under the terms
	of the GNU General Public License as published by the Free Software Foundation;
	either version 2 of the License, or (at your option) any later version.

	This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
	without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
	See the GNU General Public License for more details.

	You should have received a copy of the GNU General Public License along with this program;
	if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330,
	Boston, MA 02111-1307 USA

	The author may be reached at mailto:axcrypt@axondata.se and http://axcrypt.sourceforge.net
----
	CChildProc.h					Child process utilities of a more esotric kind, that really
									should be implemented in the Win32 API.

	E-mail							YYYY-MM-DD				Reason
	axcrypt@axondata.se 			2001					Initial

*/
#include	"tlhelp32.h"

#define ProcessBasicInformation 0

typedef struct {
    DWORD ExitStatus;
    DWORD PebBaseAddress;
    DWORD AffinityMask;
    DWORD BasePriority;
    ULONG UniqueProcessId;
    ULONG InheritedFromUniqueProcessId;
}   PROCESS_BASIC_INFORMATION;
//
//	Can't use import libraries as they might cause the program to fail load in
//	some operating systems.
//
//
//	Win 95/98/ME/2K(/XP?) stuff
//
typedef HANDLE (WINAPI *CREATETOOLHELP32SNAPSHOT)(DWORD, DWORD);
typedef BOOL (WINAPI *PROCESS32FIRST)(HANDLE, LPPROCESSENTRY32);
typedef BOOL (WINAPI *PROCESS32NEXT)(HANDLE, LPPROCESSENTRY32);
//
//	NT-stuff
//
typedef LONG (WINAPI *PROCNTQSIP)(HANDLE,UINT,PVOID,ULONG,PULONG);
typedef BOOL (WINAPI *ENUMPROCESSES)(DWORD*, DWORD, DWORD*);

class CChildProc {
public:
	CChildProc();
	CChildProc(DWORD dwProcId);					// Create the snapshot
	~CChildProc();								// Delete the buffers etc.

	void TakeSnapshot(DWORD dwProcId);			// Scan for kids, adding to the list of known
	DWORD GetNewChild();						// Find a new child. If more than one, not yet impl.
	DWORD NeedPsapi();							// Return non-zero if we need to install psapi.
private:
	void Init();								// init stuff
	void AddChild(DWORD dwProcId);				// Add a kid to the snapshot.

	DWORD *NtEnumProcesses(DWORD *pdwNrProc);

	static const int ciNumQuanta;
	int m_iNumOldChildren;						// Number of old children.
	int m_iSizOldChildren;						// Size of array of old children.
	DWORD *m_pdwOldChildren;					// Process ID's of old kids
	DWORD *m_pdwProcTable;						// Defined here just to assure deletion.
	DWORD m_dwLastNewChild;						// The latest added child.
};
#endif	_CCHILDPROC
