/*
    @(#) $Id: CSha1.cpp,v 1.3 2002/08/11 16:47:09 svante Exp $

	AxCrypt - Compressing and Encrypting Wrapper and Application Launcher for Secure Local,
	Server or Web Storage of Document Files.

	Copyright (C) 2001 Svante Seleborg/Axon Data, All rights reserved.

	This program is free software; you can redistribute it and/or modify it under the terms
	of the GNU General Public License as published by the Free Software Foundation;
	either version 2 of the License, or (at your option) any later version.

	This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
	without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
	See the GNU General Public License for more details.

	You should have received a copy of the GNU General Public License along with this program;
	if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330,
	Boston, MA 02111-1307 USA

	The author may be reached at mailto:axcrypt@axondata.se and http://axcrypt.sourceforge.net
----
	CSha1.cpp						Special purpose wrapper for Steve Reids SHA-1 code.

	E-mail							YYYY-MM-DD				Reason
	axcrypt@axondata.se 			2001					Initial

*/
#include	"StdAfx.h"
#include	"CSha1.h"

CSha1::CSha1() {
	m_putContext = new SHA1_CTX;
}

CSha1::~CSha1() {
	delete m_putContext;
}

//
//	Hash a string, and return the hash as a pointer to a key object
//
//	The key object must be deleted by the caller.
//
TKey *
CSha1::GetKeyHash(BYTE *poMsg, int iLen) {
	TKey *putKeyHash = new TKey;

	SHA1Init(m_putContext);

	// Add the data to the hash.
	SHA1Update(m_putContext, poMsg, iLen);
	// Get the final hash
	THash utHash;
	SHA1Final((BYTE *)&utHash, m_putContext);
	
	// Copy the key hash before returning a valid pointer.
	*putKeyHash = *utHash.KeyHash();
	return putKeyHash;
}
