/*
    @(#) $Id: CWinTrix.cpp,v 1.3 2002/08/11 16:47:09 svante Exp $

	AxCrypt - Compressing and Encrypting Wrapper and Application Launcher for Secure Local,
	Server or Web Storage of Document Files.

	Copyright (C) 2001 Svante Seleborg/Axon Data, All rights reserved.

	This program is free software; you can redistribute it and/or modify it under the terms
	of the GNU General Public License as published by the Free Software Foundation;
	either version 2 of the License, or (at your option) any later version.

	This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
	without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
	See the GNU General Public License for more details.

	You should have received a copy of the GNU General Public License along with this program;
	if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330,
	Boston, MA 02111-1307 USA

	The author may be reached at mailto:axcrypt@axondata.se and http://axcrypt.sourceforge.net
----
	CWinTrix.cpp					Windows tricks

	E-mail							YYYY-MM-DD				Reason
	axcrypt@axondata.se 			2001					Initial

*/
#include	"StdAfx.h"
#include	"CWinTrix.h"

CWinTrix::CWinTrix() {
	m_hWnd = NULL;
}

BOOL
CWinTrix::SetProcForegroundWindow(DWORD dwProcId) {
	return ReallySetForegroundWindow(FindProcWindow(dwProcId));
}

BOOL CALLBACK EnumWindowsProc(HWND hWnd, LPARAM lParam) {
	DWORD dwProcessId;

	DWORD dwThread = GetWindowThreadProcessId(hWnd, &dwProcessId);
	if (dwProcessId == ((CWinTrix *)lParam)->m_dwProcId) {
		((CWinTrix *)lParam)->m_hWnd = hWnd;
		return FALSE;
	}
	return TRUE;
}

HWND
CWinTrix::FindProcWindow(DWORD dwProcId) {
	m_hWnd = NULL;
	m_dwProcId = dwProcId;
	EnumWindows(EnumWindowsProc, (LPARAM)this);
	return m_hWnd;
}
//
//	Really, really set a window to the foreground... Don't use the
//	import library (actually there is none as this is undocumented ;-)
//	to avoid problems if the entry does not exist.
//
typedef void (WINAPI *PROCSWITCHTOTHISWINDOW) (HWND, BOOL);

BOOL
CWinTrix::ReallySetForegroundWindow(HWND hWnd) {
	if (hWnd == NULL) return FALSE;

	PROCSWITCHTOTHISWINDOW SwitchToThisWindow;

	SwitchToThisWindow = (PROCSWITCHTOTHISWINDOW)GetProcAddress(
		GetModuleHandle(_T("user32.dll")),
		"SwitchToThisWindow");
	if (SwitchToThisWindow) {
		SwitchToThisWindow(hWnd, TRUE);			// Restore if minimized
		return TRUE;
	} else {
		return SetForegroundWindow(hWnd);
	}
}
