;
;	@(#) $Id: AxCrypt.nsi,v 1.21 2002/11/27 13:32:38 svante Exp $
;
;	AxCrypt.nsi
;
SetDateSave on
SetDatablockOptimize on
CRCCheck on
SilentInstall normal
BGGradient 000000 008000 FFFFFF
InstallColors 000000 FFFFFF
ShowInstDetails Hide

Name "AxCrypt"
Caption "AxCrypt - Encrypt/Compress/Edit"
SubCaption 0 " "
SubCaption 1 " "
SubCaption 2 " "
SubCaption 3 " "
SubCaption 4 " "

BrandingText "AxCrypt ${REL}"
Icon "AxCrypt.ico"
OutFile "..\..\out\rel\AxCrypt-${REL}.exe"

LicenseText "Please read this license before installing."
LicenseData "GNU General Public License.txt"

InstallDir "$PROGRAMFILES\Axon Data\AxCrypt"
InstallDirRegKey HKLM "SOFTWARE\Axon Data\AxCrypt" "Install_Dir"
DirText "Select installation directory:"

; uninstall stuff
UninstallText "This will remove AxCrypt from your system. \
Please close all instances of Windows Explorer and press the Uninstall button to continue."
UninstallIcon "AxCrypt.ico"

ComponentText "This will install AxCrypt."

AutoCloseWindow false

Section "" ; empty string makes it hidden, so would starting with -

TryInstall:
ReadRegStr $R1 HKEY_LOCAL_MACHINE "SOFTWARE\Axon Data\AxCrypt" "Install_Dir"
IfErrors NewInstall

MessageBox MB_OK "A previous version of AxCrypt was found. \
An attempt will be made to start the \
uninstallation program for the previous version."

ExecWait '"$R1\AxCrypt.exe" -x'
Sleep 500
ExecWait '"$R1\AxCryptU.exe"'
Sleep 500

MessageBox MB_YESNO "Did the uninstall of the previous version complete without warnings?" IDYES TryInstall

Abort "First uninstall the previous version, then restart installation."
goto NoInstallNow

NewInstall:
WriteRegStr HKLM "SOFTWARE\Axon Data\AxCrypt" "Install_Dir" "$INSTDIR"

; write uninstall strings
WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\AxCrypt" "DisplayName" "AxCrypt (remove only)"
WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\AxCrypt" "UninstallString" '"$INSTDIR\AxCryptU.exe"'

SetOutPath "$INSTDIR"
WriteUnInstaller "AxCryptU.exe"

File "..\..\out\rel\AxCrypt.exe"
File "..\..\out\rel\AxCryptM.dll"
File "..\..\out\rel\AxCrypt.dll"
File "AxCrypt.ico"
File "readme.html"
File "steel.jpg"
File "GNU General Public License.txt"

CreateDirectory "$SMPROGRAMS\Axon Data\AxCrypt"
CreateShortCut "$SMPROGRAMS\Axon Data\AxCrypt\Unload From Memory.lnk" "$INSTDIR\AxCrypt.exe" -x "$INSTDIR\AxCrypt.ico" 0
CreateShortCut "$SMPROGRAMS\Axon Data\AxCrypt\ReadMe.lnk" "$INSTDIR\readme.html"
CreateShortCut "$SMPROGRAMS\Axon Data\AxCrypt\License.lnk" "$INSTDIR\GNU General Public License.txt"
CreateShortCut "$SMPROGRAMS\Axon Data\AxCrypt\Uninstall AxCrypt.lnk" "$INSTDIR\AxCryptU.exe" ; use defaults for parameters, icon, etc.

; Check for psapi.dll need.
ClearErrors
ExecWait '"$INSTDIR\AxCrypt.exe" -p'
ifErrors 0 NoNeedPsapi
ifFileExists '"$SYSDIR\psapi.dll"' NoNeedPsapi

SetOutPath "$SYSDIR"
File "..\..\red\psapi.dll"

NoNeedPsapi:

ExecWait '"$INSTDIR\AxCrypt.exe" -i'

NoInstallNow:
SectionEnd

; special uninstall section.
Section "Uninstall"

ExecWait '"$INSTDIR\AxCrypt.exe" -x'
Sleep 1000 ;Ensure that all instances have time to exit.

ExecWait '"$INSTDIR\AxCrypt.exe" -u'

; Must be after call to uninstallation!
DeleteRegKey HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\AxCrypt"
DeleteRegKey HKLM "SOFTWARE\Axon Data\AxCrypt"

Delete "$INSTDIR\AxCrypt.exe"
Delete /rebootok "$INSTDIR\AxCrypt.dll"
Delete /rebootok "$INSTDIR\AxCryptM.dll"
Delete /rebootok "$INSTDIR\AxCrypt.ico"
Delete "$INSTDIR\AxCryptU.exe"
Delete "$INSTDIR\readme.html"
Delete "$INSTDIR\steel.jpg"
Delete "$INSTDIR\GNU General Public License.txt"

RMDir "$INSTDIR"

Delete "$SMPROGRAMS\Axon Data\AxCrypt\*.*"
RMDir /r "$SMPROGRAMS\Axon Data\AxCrypt"

IfFileExists "$SMPROGRAMS\Axon Data\*.*" 0 NoRemove
RMDir "$SMPROGRAMS\Axon Data"
NoRemove:

IfRebootFlag AskReboot
IfFileExists "$INSTDIR\AxCrypt.exe" AskReboot
IfFileExists "$INSTDIR\AxCrypt.dll" AskReboot
IfFileExists "$INSTDIR\AxCryptM.dll" AskReboot
IfFileExists "$INSTDIR\AxCrypt.ico" AskReboot
IfFileExists "$INSTDIR" FilesLeft
goto NoErrorMsg

AskReboot:
MessageBox MB_OK "AxCrypt system files in use in $INSTDIR - not removed yet, please reboot." IDOK 0 ; skipped if file doesn't exist
goto NoErrorMsg

FilesLeft:
MessageBox MB_OK "Could not remove $INSTDIR - all files were not deleted. Please remove manually." IDOK 0
goto NoErrorMsg

NoErrorMsg:
SectionEnd

; eof

Function .onInstSuccess
  BringToFront
  MessageBox MB_YESNO|MB_ICONQUESTION \
             "Setup is finished. View readme file now?" \
             IDNO NoReadme
    ExecShell "" "$INSTDIR\readme.html"
  NoReadme:
FunctionEnd
