//
//	@(#) $Id: AxCryptM.mc,v 1.22 2003/01/06 20:28:03 svante Exp $
//
//	AxCrypt - Compressing and Encrypting Wrapper and Application Launcher for Secure Local,
//	Server or Web Storage of Document Files.
//
//	Copyright (C) 2001 Svante Seleborg/Axon Data, All rights reserved.
//
//	This program is free software; you can redistribute it and/or modify it under the terms
//	of the GNU General Public License as published by the Free Software Foundation;
//	either version 2 of the License, or (at your option) any later version.
//
//	This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
//	without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//	See the GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License along with this program;
//	if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330,
//	Boston, MA 02111-1307 USA
//
//	The author may be reached at mailto:axcrypt@axondata.se and http://axcrypt.sourceforge.net
//----
//	AxCryptM.mc						Messages in all languages
//
//	E-mail							YYYY-MM-DD				Reason
//	axcrypt@axondata.se				2001					Initial
//                                 2002-04-17				German Version - Juergen Nieveler, Thomas Schmidt
//									2002-07-23				Spanish Version - Carlos Fuentes
//									2002-08-11				Rel 1.2
//									2002-09-22				Italian Version - Stefano Paganini - s.paganini@computer.org
//
//LanguageNames=(DNK=0x406:MSG00406)
//LanguageNames=(FIN=0x40b:MSG0040B)
//LanguageNames=(NORBOK=0x414:MSG00414)
//LanguageNames=(NORNYN=0x814:MSG00814)
//
//	%2 will be the system generated error.
//	%3 should be output file name or other context related info given in the call
//	%4 is the previously stored message that can be included in this message.
//
//
//  Values are 32 bit values layed out as follows:
//
//   3 3 2 2 2 2 2 2 2 2 2 2 1 1 1 1 1 1 1 1 1 1
//   1 0 9 8 7 6 5 4 3 2 1 0 9 8 7 6 5 4 3 2 1 0 9 8 7 6 5 4 3 2 1 0
//  +---+-+-+-----------------------+-------------------------------+
//  |Sev|C|R|     Facility          |               Code            |
//  +---+-+-+-----------------------+-------------------------------+
//
//  where
//
//      Sev - is the severity code
//
//          00 - Success
//          01 - Informational
//          10 - Warning
//          11 - Error
//
//      C - is the Customer code flag
//
//      R - is a reserved bit
//
//      Facility - is the facility code
//
//      Code - is the facility's status code
//
//
// Define the facility codes
//


//
// Define the severity codes
//


//
// MessageId: INF_FILE_TYPE_NAME
//
// MessageText:
//
//  %1 Security Wrapped
//
#define INF_FILE_TYPE_NAME               0x40000003L

//
// MessageId: MSG_SHELL_EXECUTE
//
// MessageText:
//
//  Failed to launch application for '%3', %2
//
#define MSG_SHELL_EXECUTE                0xC0000014L

//
// MessageId: MSG_OPEN_LAUNCH
//
// MessageText:
//
//  Decrypt and launch of '%3' failed, %4
//
#define MSG_OPEN_LAUNCH                  0xC0000019L

//
// MessageId: MSG_VIEW_SIZE
//
// MessageText:
//
//  Internal configuration error. The MAX_VIEW_SIZE must be >= System allocation granularity.
//
#define MSG_VIEW_SIZE                    0xC000002DL

//
// MessageId: MSG_MAP_VIEW
//
// MessageText:
//
//  MapView(): %2
//
#define MSG_MAP_VIEW                     0xC0000032L

//
// MessageId: MSG_MEMORY_ALLOC
//
// MessageText:
//
//  Memory allocation error in %3
//
#define MSG_MEMORY_ALLOC                 0xC0000037L

//
// MessageId: MSG_OPEN
//
// MessageText:
//
//  Error opening file '%3', %2
//
#define MSG_OPEN                         0xC0000038L

//
// MessageId: MSG_PREAMBLE_NOT_FIRST
//
// MessageText:
//
//  Wrapped file format error or file may be damaged. Preamble header must be first in wrapped file.
//
#define MSG_PREAMBLE_NOT_FIRST           0xC000003CL

//
// MessageId: MSG_MISSING_SECTION
//
// MessageText:
//
//  Internal error or damaged file, missing expected header section '%3'.
//
#define MSG_MISSING_SECTION              0xC000003DL

//
// MessageId: MSG_FILE_VERSION
//
// MessageText:
//
//  File saved in newer, unsupported, version. Please upgrade.
//
#define MSG_FILE_VERSION                 0xC0000045L

//
// MessageId: MSG_VERSION_TWICE
//
// MessageText:
//
//  Wrapped file format error or file may be damaged. Version header seen more than once.
//
#define MSG_VERSION_TWICE                0xC0000046L

//
// MessageId: ERR_HEADER_TWICE
//
// MessageText:
//
//  Wrapped file format error or file may be damaged. '%3' header seen more than once.
//
#define ERR_HEADER_TWICE                 0xC0000048L

//
// MessageId: MSG_FILE_LENGTH
//
// MessageText:
//
//  Wrapped file format error or file may be damaged. The file is shorter or longer than indicated internally.
//
#define MSG_FILE_LENGTH                  0xC000004BL

//
// MessageId: MSG_FILE_SIZE_ERROR
//
// MessageText:
//
//  Wrapped file format error or file may be damaged. The file is shorter than indicated internally.
//
#define MSG_FILE_SIZE_ERROR              0xC0000050L

//
// MessageId: MSG_DEFLATE_INIT
//
// MessageText:
//
//  Error during compression, cannot initialize.
//
#define MSG_DEFLATE_INIT                 0xC0000055L

//
// MessageId: MSG_DEFLATE_SYNC
//
// MessageText:
//
//  Error during compression, cannot continue.
//
#define MSG_DEFLATE_SYNC                 0xC000005AL

//
// MessageId: MSG_COMPRESS_FINISH
//
// MessageText:
//
//  Error when ending compression, operation failed.
//
#define MSG_COMPRESS_FINISH              0xC000005FL

//
// MessageId: MSG_INFLATE_INIT
//
// MessageText:
//
//  Error initializing decompression, operation failed.
//
#define MSG_INFLATE_INIT                 0xC0000064L

//
// MessageId: MSG_INFLATE_ERROR
//
// MessageText:
//
//  Error during decompression, operation failed.
//
#define MSG_INFLATE_ERROR                0xC0000069L

//
// MessageId: MSG_INFLATE_FINISH
//
// MessageText:
//
//  Error during final decompression, operation failed.
//
#define MSG_INFLATE_FINISH               0xC000006EL

//
// MessageId: MSG_INFLATE_END
//
// MessageText:
//
//  Error at decompression end, operation failed.
//
#define MSG_INFLATE_END                  0xC0000073L

//
// MessageId: MSG_MAKE_TMP
//
// MessageText:
//
//  Could not open %3 as temporary, %2
//
#define MSG_MAKE_TMP                     0xC000007DL

//
// MessageId: MSG_GET_TEMP
//
// MessageText:
//
//  Could not create temporary file in %3, %2
//
#define MSG_GET_TEMP                     0xC0000082L

//
// MessageId: MSG_PAD_ERROR
//
// MessageText:
//
//  Decryption error in padding integrity check.
//
#define MSG_PAD_ERROR                    0xC000008DL

//
// MessageId: MSG_INVALID_GUID
//
// MessageText:
//
//  The file does not appear to be produced by %1. GUID mismatch.
//
#define MSG_INVALID_GUID                 0xC0000091L

//
// MessageId: MSG_FILE_FORMAT
//
// MessageText:
//
//  File format error - probably damaged or too large version difference.
//
#define MSG_FILE_FORMAT                  0xC0000092L

//
// MessageId: MSG_INVALID_HMAC
//
// MessageText:
//
//  File damaged or manipulated, integrity checksum (HMAC) error.
//
#define MSG_INVALID_HMAC                 0xC0000096L

//
// MessageId: MSG_WRAP_ERROR
//
// MessageText:
//
//  An error occured when security wrapping %3.
//  %4
//
#define MSG_WRAP_ERROR                   0xC00000A0L

//
// MessageId: MSG_UNWRAP_ERROR
//
// MessageText:
//
//  An error occured when unwrappping %3.
//  %4
//
#define MSG_UNWRAP_ERROR                 0xC00000A5L

//
// MessageId: MSG_INCORRECT_KEY
//
// MessageText:
//
//  Wrong key phrase. Please try again.
//
#define MSG_INCORRECT_KEY                0x800000AAL

//
// MessageId: MSG_CREATE_REG_KEY
//
// MessageText:
//
//  Failed to add key '%3' to the registry, %2
//
#define MSG_CREATE_REG_KEY               0xC00000AFL

//
// MessageId: MSG_SET_REG_VALUE
//
// MessageText:
//
//  Failed to set value for sub-key '%3' in the registry, %2
//
#define MSG_SET_REG_VALUE                0xC00000B4L

//
// MessageId: MSG_CLOSE_REG_KEY
//
// MessageText:
//
//  Failed to close handle to key, %2
//
#define MSG_CLOSE_REG_KEY                0xC00000B9L

//
// MessageId: MSG_INSTALL_ERROR
//
// MessageText:
//
//  Registry installation error, %4
//  (You must be an Administrator and have sufficient access to the registry to install)
//
#define MSG_INSTALL_ERROR                0xC00000BEL

//
// MessageId: MSG_UNINSTALL_ERROR
//
// MessageText:
//
//  Un-installation error, %4
//  (You must be an Administrator and have sufficient access to the registry to un-install)
//
#define MSG_UNINSTALL_ERROR              0xC00000C3L

//
// MessageId: MSG_UNKNOWN_OPT
//
// MessageText:
//
//  Unrecognized option switch '%2'.
//
#define MSG_UNKNOWN_OPT                  0xC00000C8L

//
// MessageId: MSG_CMD_LINE_OPEN
//
// MessageText:
//
//  Error executing request with file '%3', %4
//
#define MSG_CMD_LINE_OPEN                0xC00000CDL

//
// MessageId: MSG_PARSE_COMMAND_INTERNAL
//
// MessageText:
//
//  Internal error parsing command line.
//
#define MSG_PARSE_COMMAND_INTERNAL       0xC00000D2L

//
// MessageId: MSG_CREATE_MUTEX
//
// MessageText:
//
//  Error creating mutex '%3'.
//
#define MSG_CREATE_MUTEX                 0xC00000D7L

//
// MessageId: MSG_CREATE_EVENT
//
// MessageText:
//
//  Error creating event '%3'.
//
#define MSG_CREATE_EVENT                 0xC00000DCL

//
// MessageId: MSG_CREATE_REQUEST_MAP
//
// MessageText:
//
//  Error creating file mapping '%3' for interprocess communication of requests to the %1 server.
//
#define MSG_CREATE_REQUEST_MAP           0xC00000E1L

//
// MessageId: MSG_INIT_APPLICATION
//
// MessageText:
//
//  Internal or System error in call to InitApplication(), %2
//
#define MSG_INIT_APPLICATION             0xC00000E6L

//
// MessageId: MSG_INIT_INSTANCE
//
// MessageText:
//
//  Internal or System error in call to InitInstance(), %2
//
#define MSG_INIT_INSTANCE                0xC00000EBL

//
// MessageId: MSG_SYSTEM_CALL
//
// MessageText:
//
//  Error in system call to %3, %2
//
#define MSG_SYSTEM_CALL                  0xC00000F0L

//
// MessageId: MSG_WINMAIN
//
// MessageText:
//
//  Failed to startup %1.
//  %4
//
#define MSG_WINMAIN                      0xC00000F5L

//
// MessageId: MSG_AES_ERROR
//
// MessageText:
//
//  Internal configuration error in the Advanced Encryption Standard library.
//  %4
//
#define MSG_AES_ERROR                    0xC00000FAL

//
// MessageId: MSG_NOTSAME
//
// MessageText:
//
//  The passphrases do not match. Please try again.
//
#define MSG_NOTSAME                      0xC0000104L

//
// MessageId: MSG_INTERNAL_ERROR
//
// MessageText:
//
//  Internal error in %3. Please report.
//
#define MSG_INTERNAL_ERROR               0xC0000109L

//
// MessageId: MSG_CRYPTO_HEAP_CONSTRUCT
//
// MessageText:
//
//  Irrecoverable error constructing CryptoHeap(), %4.
//
#define MSG_CRYPTO_HEAP_CONSTRUCT        0xC000010EL

//
// MessageId: MSG_CRYPTO_HEAP_DESTRUCT
//
// MessageText:
//
//  Irrecoverable error destructing CryptoHeap(), %4.
//
#define MSG_CRYPTO_HEAP_DESTRUCT         0xC0000113L

//
// MessageId: INF_ENC_LEAD
//
// MessageText:
//
//  Encryption:
//
#define INF_ENC_LEAD                     0x40000118L

//
// MessageId: INF_COMP_LEAD
//
// MessageText:
//
//  Compression:
//
#define INF_COMP_LEAD                    0x4000011DL

//
// MessageId: INF_AUTH_LEAD
//
// MessageText:
//
//  Integrity:
//
#define INF_AUTH_LEAD                    0x40000122L

//
// MessageId: INF_RAND_LEAD
//
// MessageText:
//
//  PRNG:
//
#define INF_RAND_LEAD                    0x40000123L

//
// MessageId: INF_ENC
//
// MessageText:
//
//  FIPS 197 AES-128 CBC.
//
#define INF_ENC                          0x40000127L

//
// MessageId: INF_COMP
//
// MessageText:
//
//  Zlib/Deflate, RFC1950 and RFC1951.
//
#define INF_COMP                         0x4000012CL

//
// MessageId: INF_AUTH
//
// MessageText:
//
//  HMAC-SHA1-128, RFC2104.
//
#define INF_AUTH                         0x40000131L

//
// MessageId: INF_RAND
//
// MessageText:
//
//  FIPS 186-2/SHA-1.
//
#define INF_RAND                         0x40000132L

//
// MessageId: INF_ABOUT
//
// MessageText:
//
//  Compressing and Encrypting Wrapper and Application Launcher for Secure Local, Server or Web Storage of Document Files.
//  This program is free software WITH ABSOLUTELY NO WARRANTY distributed under GNU General Public License version 2.
//  %n%n%2
//  %nAcknowledgements:
//  %nAES code by Vincent Rijmen, Antoon Bosselaers and Paulo Barreto.
//  %nSHA-1 code by Steve Reid, James H. Brown and Saul Kravitz.
//  %nZlib code by Jean-loup Gailly and Mark Adler.
//
#define INF_ABOUT                        0x40000136L

//
// MessageId: INF_PROP_SHEET_PAGE
//
// MessageText:
//
//  %1
//
#define INF_PROP_SHEET_PAGE              0x4000013BL

//
// MessageId: INF_ENTER_PASS
//
// MessageText:
//
//  Enter passphrase
//
#define INF_ENTER_PASS                   0x40000145L

//
// MessageId: INF_REENTER_PASS
//
// MessageText:
//
//  Invalid passphrase! Please re-enter
//
#define INF_REENTER_PASS                 0x40000146L

//
// MessageId: INF_ENTER_VERIFY
//
// MessageText:
//
//  Verify passphrase
//
#define INF_ENTER_VERIFY                 0x4000014AL

//
// MessageId: INF_IDOK
//
// MessageText:
//
//  OK
//
#define INF_IDOK                         0x4000014FL

//
// MessageId: INF_IDCANCEL
//
// MessageText:
//
//  Cancel
//
#define INF_IDCANCEL                     0x40000154L

//
// MessageId: INF_MENU_OPEN
//
// MessageText:
//
//  Open
//
#define INF_MENU_OPEN                    0x40000156L

//
// MessageId: HLP_MENU_OPEN
//
// MessageText:
//
//  Decrypt and open document with associated application.
//
#define HLP_MENU_OPEN                    0x40000157L

//
// MessageId: INF_MENU_WRAPZ
//
// MessageText:
//
//  Encrypt
//
#define INF_MENU_WRAPZ                   0x4000015AL

//
// MessageId: HLP_MENU_WRAPZ
//
// MessageText:
//
//  First compress, then encrypt the document.
//
#define HLP_MENU_WRAPZ                   0x4000015BL

//
// MessageId: INF_MENU_WRAP
//
// MessageText:
//
//  Encrypt only
//
#define INF_MENU_WRAP                    0x4000015CL

//
// MessageId: HLP_MENU_WRAP
//
// MessageText:
//
//  Encrypt the document without compression.
//
#define HLP_MENU_WRAP                    0x4000015DL

//
// MessageId: INF_MENU_UNWRAP
//
// MessageText:
//
//  Decrypt
//
#define INF_MENU_UNWRAP                  0x4000015EL

//
// MessageId: HLP_MENU_UNWRAP
//
// MessageText:
//
//  Decrypt the document and restore name and modification time.
//
#define HLP_MENU_UNWRAP                  0x4000015FL

//
// MessageId: INF_MENU_WIPE
//
// MessageText:
//
//  Wipe and Delete
//
#define INF_MENU_WIPE                    0x40000160L

//
// MessageId: HLP_MENU_WIPE
//
// MessageText:
//
//  Overwrite the entire file with random data and then delete permanently.
//
#define HLP_MENU_WIPE                    0x40000161L

//
// MessageId: INF_MENU_ERROR
//
// MessageText:
//
//  >>ERROR<<
//
#define INF_MENU_ERROR                   0x40000162L

//
// MessageId: WRN_DIR_NOT_EMPTY
//
// MessageText:
//
//  Error deleting directory '%2', %4 Please check and remove manually. It will be removed on next %1 start-up.
//
#define WRN_DIR_NOT_EMPTY                0x80000163L

//
// MessageId: INF_MENU_DEBUG
//
// MessageText:
//
//  Debug
//
#define INF_MENU_DEBUG                   0x40000164L

//
// MessageId: HLP_MENU_DEBUG
//
// MessageText:
//
//  Debug: Display the file name and do nothing.
//
#define HLP_MENU_DEBUG                   0x40000165L

//
// MessageId: MSG_OPEN_WITH
//
// MessageText:
//
//  Failed to start 'Open With...' dialog for file '%3'.
//
#define MSG_OPEN_WITH                    0xC0000168L

//
// MessageId: WRN_CANT_TELL_DONE
//
// MessageText:
//
//  Unable to determine when the application launched for '%2' is done with the document.
//  You must do this manually, by clicking 'Ok' when you are done. If you do this
//  incorrectly you will not loose data, but the plain text will be left 'orphaned'
//  in your temporary directory and
//  visible on your harddisk, and the encrypted file will not be updated.
//
#define WRN_CANT_TELL_DONE               0x8000016DL

//
// MessageId: MSG_MEMORY_LEAK
//
// MessageText:
//
//  Possible memory leak of %2 bytes in %3 including heap overhead.
//
#define MSG_MEMORY_LEAK                  0xC0000172L

//
// MessageId: WRN_INPUT_IDLE_TIMEOUT
//
// MessageText:
//
//  The application associated with '%2' is taking too long to start. Please click 'Ok' when
//  it has started, and opened the document.
//
#define WRN_INPUT_IDLE_TIMEOUT           0x80000177L

//
// MessageId: WRN_ACTIVE_APPS
//
// MessageText:
//
//  %1 is about to exit, but you still have applications with encrypted content open.
//  If these are not terminated automatically by the system, please EXIT these, and then click 'Ok'.
//
#define WRN_ACTIVE_APPS                  0x8000017CL

//
// MessageId: ERR_CANT_STOP
//
// MessageText:
//
//  The system is shutting down or logging off, but you still have encrypted content open. Please click 'Ok', CLOSE
//  all your applications, and then retry the attempted operation.
//
#define ERR_CANT_STOP                    0xC000017DL

//
// MessageId: WRN_SHUT_DOWN
//
// MessageText:
//
//  The system is definitely shutting down or logging off, but you still have encrypted content open.
//  WARNING: There may be encrypted content in plain text form left in the temporary directory! If so, It will be removed on restart.
//
#define WRN_SHUT_DOWN                    0x8000017EL

//
// MessageId: ERR_VERSION_RESOURCE
//
// MessageText:
//
//  System error reading version resource.
//
#define ERR_VERSION_RESOURCE             0xC0000181L

//
// MessageId: ERR_TEMP_DIR
//
// MessageText:
//
//  Failed to create temporary directory in %3, try cleaning up.
//
#define ERR_TEMP_DIR                     0xC0000186L

//
// MessageId: WRN_REALLY_WIPE
//
// MessageText:
//
//  Do you want to overwrite %2 with random data and then permanently delete it?
//
#define WRN_REALLY_WIPE                  0x8000018BL

//
// MessageId: INF_APP_QUIT
//
// MessageText:
//
//  %1 is terminating due to user request.%0
//
#define INF_APP_QUIT                     0x40000195L

//
// MessageId: INF_APP_START
//
// MessageText:
//
//  ***** %1 is starting the main thread.%0
//
#define INF_APP_START                    0x40000196L

//
// MessageId: INF_DEBUG
//
// MessageText:
//
//  Debug: %2%0
//
#define INF_DEBUG                        0x4000019AL

//
// MessageId: INF_DEBUG2
//
// MessageText:
//
//  Debug: %2 (%3)%0
//
#define INF_DEBUG2                       0x4000019FL

//
// MessageId: ERR_REG_VALUE_TYPE
//
// MessageText:
//
//  Registry key %3 is of the wrong type.
//
#define ERR_REG_VALUE_TYPE               0xC00001A4L

//
// MessageId: ERR_LOG_LEVEL
//
// MessageText:
//
//  Error '%2' reading event log level (%3) from the registry.
//
#define ERR_LOG_LEVEL                    0xC00001A9L

//
// MessageId: INF_SAVED_ENTROPY
//
// MessageText:
//
//  Saving half of entropy pool to registry.%0
//
#define INF_SAVED_ENTROPY                0x400001AEL

//
// MessageId: INF_LOADED_ENTROPY
//
// MessageText:
//
//  Loading half of entropy pool from registry.%0
//
#define INF_LOADED_ENTROPY               0x400001AFL

//
// MessageId: INF_GATHERING_ENTROPY
//
// MessageText:
//
//  Gathering %2 bits of entropy to the pool.%0
//
#define INF_GATHERING_ENTROPY            0x400001B0L

//
// MessageId: INF_USING_ENTROPY
//
// MessageText:
//
//  Using %2 bits of entropy from the pool.%0
//
#define INF_USING_ENTROPY                0x400001B1L

//
// MessageId: ERR_UNTRAPPED
//
// MessageText:
//
//  Internal error, untrapped exception: %4
//
#define ERR_UNTRAPPED                    0xC00001B3L

//
// MessageId: ERR_ARGUMENT
//
// MessageText:
//
//  Internal error, invalid function argument in %4
//
#define ERR_ARGUMENT                     0xC00001B8L

//
// MessageId: ERR_MMTIMER
//
// MessageText:
//
//  Multimedia timer error in %4.
//
#define ERR_MMTIMER                      0xC00001C2L

//
// MessageId: WRN_GATHER_THREAD
//
// MessageText:
//
//  Warning - could not stop the Gather thread gracefully.%0
//
#define WRN_GATHER_THREAD                0x800001CCL

//
// MessageId: WRN_FLIPPER_THREAD
//
// MessageText:
//
//  Warning - could not stop the Flipper thread gracefully.%0
//
#define WRN_FLIPPER_THREAD               0x800001D1L

//
// MessageId: WRN_USERENTROPY_THREAD
//
// MessageText:
//
//  Warning - could not stop the User Entropy thread gracefully.%0
//
#define WRN_USERENTROPY_THREAD           0x800001D2L

//
// MessageId: MSG_OSCILLATOR
//
// MessageText:
//
//  The bit oscillator appears to run at %2MHz.%0
//
#define MSG_OSCILLATOR                   0x400001D6L

//
// MessageId: WRN_CLEAN_UP
//
// MessageText:
//
//  Warning, error during clean-up of temporaries: %4
//
#define WRN_CLEAN_UP                     0x800001DBL

//
// MessageId: INF_ENTROPY_START
//
// MessageText:
//
//  Starting entropy collector.%0
//
#define INF_ENTROPY_START                0x400001E0L

//
// MessageId: INF_ENTROPY_STOP
//
// MessageText:
//
//  Stopping entropy collector.%0
//
#define INF_ENTROPY_STOP                 0x400001E5L

//
// MessageId: INF_WINDOWS_ENTROPY
//
// MessageText:
//
//  Added a byte of Window state change to entropy pool.%0
//
#define INF_WINDOWS_ENTROPY              0x400001EAL

//
// MessageId: INF_MOUSE_ENTROPY
//
// MessageText:
//
//  Added a byte of Mouse position change to entropy pool.%0
//
#define INF_MOUSE_ENTROPY                0x400001EFL

//
//	Rel 1.2 - Used to display the name of the current operation in the
//	progress window, which the progress bar indicates.
//
//
// MessageId: INF_OPNAME_ENCRYPT
//
// MessageText:
//
//  Encrypting
//
#define INF_OPNAME_ENCRYPT               0x400001F4L

//
//	Rel 1.2 - Used to display the name of the current operation in the
//	progress window, which the progress bar indicates.
//
//
// MessageId: INF_OPNAME_DECRYPT
//
// MessageText:
//
//  Decrypting
//
#define INF_OPNAME_DECRYPT               0x400001F9L

//
//	Rel 1.2 - Used to display the name of the current operation in the
//	progress window, which the progress bar indicates.
//
//
// MessageId: INF_OPNAME_COMPRESS
//
// MessageText:
//
//  Compressing
//
#define INF_OPNAME_COMPRESS              0x400001FEL

//
//	Rel 1.2 - Used to display the name of the current operation in the
//	progress window, which the progress bar indicates.
//
//
// MessageId: INF_OPNAME_DECOMPRESS
//
// MessageText:
//
//  Decompressing
//
#define INF_OPNAME_DECOMPRESS            0x40000203L

//
//	Rel 1.2 - Used to display the name of the current operation in the
//	progress window, which the progress bar indicates.
//
//
// MessageId: INF_OPNAME_WIPETEMP
//
// MessageText:
//
//  Wiping temporaries
//
#define INF_OPNAME_WIPETEMP              0x40000208L

//
//	Rel 1.2 - Used to display the name of the current operation in the
//	progress window, which the progress bar indicates.
//
//
// MessageId: INF_OPNAME_WIPEDATA
//
// MessageText:
//
//  Wiping
//
#define INF_OPNAME_WIPEDATA              0x40000209L

//
//	Rel 1.2 - Used to display the name of the current operation in the
//	progress window, which the progress bar indicates.
//
//
// MessageId: INF_OPNAME_HMAC
//
// MessageText:
//
//  Calculating integrity checksum (HMAC)
//
#define INF_OPNAME_HMAC                  0x4000020DL

//
//	Rel 1.2 - This message is displayed, when the user clicks the 'cancel' button
// in the progress dialogue. It is also used without display in other cases when
// the user cancels, such as pressing cancel in an 'enter key' dialogue.
//
//
// MessageId: WRN_CANCEL
//
// MessageText:
//
//  Operation cancelled.
//
#define WRN_CANCEL                       0x80000212L

//
//	Rel 1.2
//
// This is/should never be used to display, so translation need
// not be perfect. It is used as a placeholder to generate a proper
// error id.
//
//
// MessageId: ERR_UNSPECIFIED
//
// MessageText:
//
//  Unspecified error.
//
#define ERR_UNSPECIFIED                  0xC0000217L

//
//	Rel 1.2
//
// This is used for the 'save passphrase' checkbox in the enter
// encryption key dialogue. The context is such that the word
// 'passphrase' is not necessary to prompt with.
//
//
// MessageId: INF_SAVE_ENCKEY
//
// MessageText:
//
//  Remember and use as default passphrase
//
#define INF_SAVE_ENCKEY                  0x4000021CL

//
//	Rel 1.2
//
// This is used for the 'save passphrase' checkbox in the enter
// decryption key dialogue. The context is such that the word
// 'passphrase' is not necessary to prompt with.
//
//
// MessageId: INF_SAVE_DECKEY
//
// MessageText:
//
//  Remember this passphrase
//
#define INF_SAVE_DECKEY                  0x40000221L

//
//	Rel 1.2
//
//	This message is shown when it is detected that a file was encrypted
// with a previous version, to give a strong hint to the user that this
// file should be decrypted and re-encrypted for enhanced security.
//
//
// MessageId: WRN_REENCRYPT
//
// MessageText:
//
//  The file '%3' is encrypted in an earlier format. For full security, please decrypt and re-encrypt using this version.
//
#define WRN_REENCRYPT                    0x80000226L

//
//	Rel 1.2
//
// The context menu prompt to clear the passphrase memory.
//
//
// MessageId: INF_MENU_CLEARKEYS
//
// MessageText:
//
//  Clear Passphrase Memory
//
#define INF_MENU_CLEARKEYS               0x4000022BL

//
//	Rel 1.2
//
//
// MessageId: HLP_MENU_CLEARKEYS
//
// MessageText:
//
//  Remove all passphrases from active memory.
//
#define HLP_MENU_CLEARKEYS               0x40000230L

//
//	Rel 1.2
//
//
// MessageId: WRN_INSECURE_WIPE
//
// MessageText:
//
//  '%3' cannot be wiped in a secure way by %1.
//  The file is compressed or encrypted by the file system,
//  this requires low level routines not provided in %1.
//  Please either change the file or directory attributes,
//  or install a special purpose utility for this task.
//
#define WRN_INSECURE_WIPE                0x80000235L

//
//	Rel 1.2
//
//	This is used together with a checkbox, so that we can
//	display warnings etc, and then ask the user if he wants
//	to see this warning again, or not.
//
//
// MessageId: INF_DONTREPEAT
//
// MessageText:
//
//  Don't repeat this message.
//
#define INF_DONTREPEAT                   0x8000023AL

//
//	Rel 1.2 - Used when a wiping operation fails for some reason.
//
//
// MessageId: MSG_WIPE_ERROR
//
// MessageText:
//
//  Wipe of '%3' failed, %4
//
#define MSG_WIPE_ERROR                   0xC000023FL

//
//	Rel 1.2.1 - Only used for it's code. This code is
// returned when in server mode no passphrase was
// found for an encryption or decryption.
//	No translation needed - the text is never shown.
//
//
// MessageId: ERR_NO_PASSPHRASE
//
// MessageText:
//
//  No Passphrase.
//
#define ERR_NO_PASSPHRASE                0xC0000244L

//
//	Rel 1.2.1 - Only used for log-file entries.
//	it is written when an attempt is made to
// launch and open in server mode
//
//
// MessageId: ERR_LOG_OPEN_IN_SERVER_MODE
//
// MessageText:
//
//  An attempt was made to open and launch '%2' in server mode.
//
#define ERR_LOG_OPEN_IN_SERVER_MODE      0xC0000249L

//
//	Rel 1.2.1 - Only used for log-file entries.
//	it is written when an attempt is made to
// prompt for a passphrase in server mode.
//
//
// MessageId: ERR_KEYPROMPT_SERVER_MODE
//
// MessageText:
//
//  Passphrase was needed in server mode.
//
#define ERR_KEYPROMPT_SERVER_MODE        0xC000024EL

//
//	Rel 1.2.1 - Only used for log-file entries.
//
//
// MessageId: INF_SERVER_SHELL
//
// MessageText:
//
//  Executed command '%2' in server mode.
//
#define INF_SERVER_SHELL                 0x40000253L

//
//	Rel 1.2.1 - Only used for log-file entrys.
//
//
// MessageId: ERR_SERVER_SHELL
//
// MessageText:
//
//  Failed to execute command '%2' due to '%3' in server mode.
//
#define ERR_SERVER_SHELL                 0xC0000258L

//
// Rel 1.2.2 - Only used for log-file entries
//
//
// MessageId: INF_COMPRESS_RATIO
//
// MessageText:
//
//  Approximate compression ratio for %2 is %3.
//
#define INF_COMPRESS_RATIO               0x4000025DL

//
// Rel 1.2.2 - Menu choice for renaming a file and give
//	it a new, anonymous one.
//
//
// MessageId: INF_MENU_RENAME
//
// MessageText:
//
//  Rename
//
#define INF_MENU_RENAME                  0x40000262L

//
// Rel 1.2.2 - Menu help for renaming a file and give
//	it a new, anonymous one.
//
//
// MessageId: HLP_MENU_RENAME
//
// MessageText:
//
//  Rename with an anonymous name. The original will be restored on decryption.
//
#define HLP_MENU_RENAME                  0x40000267L

//
// Rel 1.2.2
//	Only for used as an exit code! No translation needed.
//
//
// MessageId: WRN_NO_HAVE_KEY
//
// MessageText:
//
//  Key not in cache.
//
#define WRN_NO_HAVE_KEY                  0x8000026CL

//
// Rel 1.2.2
//	Only for used as an exit code! No translation needed.
//
//
// MessageId: WRN_IGNORED
//
// MessageText:
//
//  Ignored.
//
#define WRN_IGNORED                      0x80000271L

//
// Rel 1.3.1
//
// Generic file errors, intended for use with the
// .File() CAssert member.
//
//
// MessageId: ERR_FILE
//
// MessageText:
//
//  '%3': %4
//
#define ERR_FILE                         0xC0000276L

//
// Rel 1.3.1
//
//	No valid standard output available, but needed.
//
//
// MessageId: ERR_NO_STDOUT
//
// MessageText:
//
//  Standard Output must be file or pipe.
//
#define ERR_NO_STDOUT                    0xC000027BL

//
// Rel 1.3.1
//
//	No visible error message, but a return status indicating
// no tag was found.
// No translation necessary.
//
//
// MessageId: ERR_NO_IDTAG
//
// MessageText:
//
//  No IdTag
//
#define ERR_NO_IDTAG                     0xC0000280L

